package com.jxml.quick.qmap;
import java.util.*;

/**
 * Returns false if any qualifier in the list returns false.
 */
public class QQualifierItemEqualsProject implements QQualifier
{
	public int ndx;
	public String value;

	public QQualifierItemEqualsProject(){}

	public QQualifierItemEqualsProject(int ndx, String value)
	{
		this.ndx=ndx;
		this.value=value;
	}

	public boolean acceptable(QIndexedComparableList icl)
	{
		String item=(String)icl.keyList.get(ndx);
		if("".equals(value))
			return true;
		return value.startsWith(item);
	}
}